=== debian/changelog ===
ros-humble-sdformat-urdf (1.0.1-1jammy) jammy; urgency=high

  * Remove version requirement on sdformat_test_files (#15 <https://github.com/ros/sdformat_urdf/issues/15>)
  * Contributors: Shane Loretz

 -- Shane Loretz <sloretz@osrfoundation.org>  Tue, 21 Jun 2022 07:00:00 -0000

ros-humble-sdformat-urdf (1.0.0-1jammy) jammy; urgency=high

  * Support for universal and ball joint as floating joints #13 <https://github.com/ros/sdformat_urdf/issues/13>
  * Support SDFormat 12 (#12 <https://github.com/ros/sdformat_urdf/issues/12>)
  * Use urdfdom_headers::urdfdom_headers (#5 <https://github.com/ros/sdformat_urdf/issues/5>, #6 <https://github.com/ros/sdformat_urdf/issues/6>))
  * Contributors: Dharini Dutia, Louise Poubel, Shane Loretz

 -- Shane Loretz <sloretz@osrfoundation.org>  Tue, 21 Jun 2022 07:00:00 -0000

ros-humble-sdformat-urdf (0.1.0-1jammy) jammy; urgency=high

  * Initial urdf parser plugin that parses sdformat (#1 <https://github.com/ros/sdformat_urdf/issues/1>)
  * Contributors: Shane Loretz, Addisu Z. Taddese, Steve Peters, Chris Lalancette, Eric Cousineau

 -- Shane Loretz <sloretz@osrfoundation.org>  Mon, 02 Nov 2020 08:00:00 -0000
