=== debian/control ===
Source: ros-humble-sdformat-urdf
Section: misc
Priority: optional
Maintainer: Shane Loretz <sloretz@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libsdformat12-dev, liburdfdom-headers-dev, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-ros, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-pluginlib, ros-humble-rcutils, ros-humble-sdformat-test-files <!nocheck>, ros-humble-tinyxml2-vendor, ros-humble-urdf, ros-humble-urdf-parser-plugin, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-sdformat-urdf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsdformat12-dev, liburdfdom-headers-dev, ros-humble-ament-cmake-ros, ros-humble-pluginlib, ros-humble-rcutils, ros-humble-tinyxml2-vendor, ros-humble-urdf, ros-humble-urdf-parser-plugin, ros-humble-ros-workspace
Description: URDF plugin to parse SDFormat XML into URDF C++ DOM objects.
